## debootstrap 1.0.56tanglu4

=== debian/changelog ===
debootstrap (1.0.56tanglu4) staging; urgency=medium

  * aequorea: Do not explicitly install tanglu-archive-keyring in buildd variant.
    - No longer needed as of apt 0.9.14.2tanglu1.

 -- Jon Severinsson <jon@severinsson.net>  Sun, 16 Feb 2014 16:45:56 +0100

debootstrap (1.0.56tanglu3) staging; urgency=low

  * Exit with friendly error message when failing to create device nodes.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 12 Feb 2014 22:30:00 +0100

debootstrap (1.0.56tanglu2) staging; urgency=low

  * Only use Tanglu keyring when building on Tanglu.
  * Add bartholomea as a symlink to aequorea
  * aequorea: install tanglu-archive-keyring in buildd variant.

 -- Jon Severinsson <jon@severinsson.net>  Tue, 11 Feb 2014 20:00:00 +0100

debootstrap (1.0.56tanglu1) staging; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Use Tanglu keyring
    - Add aequorea suite, symlink staging

 -- Matthias Klumpp <mak@debian.org>  Sun, 12 Jan 2014 17:46:10 +0100

debootstrap (1.0.56) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Install base-passwd and base-files in two calls rather than one to
    avoid problems with home-built media with different ordering in
    Packages.  Thanks to Jo Shields for pointing this out and providing
    the workaround.  Closes: #601670.  LP: #1001131.

  [ Joey Hess ]
  * When deboostrapping Debian, and the debian-archive-keyring is not
    available, switch the default mirror to a https url. This way at
    least the CA level of security is available even for users who
    have no way to check gpg keys in the WoT. The https mirror is
    currently https://mirrors.kernel.org/debian.
  * Avoid writing https urls into sources.list, as apt does not support https.

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Dec 2013 08:00:41 +0100

debootstrap (1.0.53tanglu2) staging; urgency=low

  * Only install tanglu-minimal in default and fakechroot variants

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 14 Sep 2013 00:03:52 +0200

debootstrap (1.0.53tanglu1) staging; urgency=low

  * Merge from Debian unstable
  * Add (Tanglu) staging as a symlink to aequorea

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Aug 2013 18:12:28 +0000

=== debian/rules ===
#! /usr/bin/make -f

ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
  KEYRING := ubuntu-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
  KEYRING := tanglu-archive-keyring
else
  KEYRING := debian-archive-keyring
endif

%:
	dh $@

# need to be root to make devices, so build is done in install target
override_dh_auto_build:

override_dh_auto_install:
	dh_auto_build

	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb

	# remove scripts not needed by d-i
	-rm -f debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/sarge \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/warty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/hoary \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/breezy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/dapper \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/edgy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/staging \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/stable \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/testing \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/unstable

override_dh_gencontrol:
	dh_gencontrol -- -Vkeyring=$(KEYRING)

## debootstrap 1.0.59

=== debian/changelog ===
debootstrap (1.0.59) unstable; urgency=medium

  * Install ca-certificates as well as apt-transport-https for HTTPS
    installations.  This makes it possible to copy certificates that were
    built into the installer to /usr/local/share/ca-certificates/ and thus
    have them continue to be trusted after installation.

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Feb 2014 13:42:54 +0000

debootstrap (1.0.58) unstable; urgency=medium

  * Policy version 3.9.5: no changes required.
  * Install apt-transport-https if installing from an HTTPS mirror
    (LP: #1135163).  It may still be necessary to copy certificates into
    place, but there's at least a reasonable chance that somebody installing
    from HTTPS may want to keep using it, and we have to install
    apt-transport-https at this point otherwise they won't be able to do
    that end-to-end.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2014 17:46:41 +0000

debootstrap (1.0.57) unstable; urgency=medium

  * pkgdetails_perl: Only interpret percentages following whitespace, to
    cope with GNU wget outputting the local file name (which may contain "%"
    due to URL-encoding) after it finishes the download (LP: #1172101).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Feb 2014 16:12:23 +0000

=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git
Vcs-Git: git://anonscm.debian.org/d-i/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

## debootstrap 1.0.59ubuntu0.8

=== debian/changelog ===
debootstrap (1.0.59ubuntu0.8) trusty; urgency=medium

  * Add (Debian) stretch, buster and bullseye as a symlink to sid.
    LP: #1698686

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 30 Jun 2017 16:34:26 +0200

debootstrap (1.0.59ubuntu0.7) trusty; urgency=medium

  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 21 Apr 2017 14:56:52 +0100

debootstrap (1.0.59ubuntu0.6) trusty; urgency=medium

  * Add (Ubuntu) zesty as a symlink to gutsy. (LP: #1636583)

 -- Joshua Powers <josh.powers@canonical.com>  Tue, 25 Oct 2016 15:55:02 -0600

debootstrap (1.0.59ubuntu0.5) trusty; urgency=medium

  * Add (Ubuntu) yakkety as a symlink to gutsy.  (LP: #1573596)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 22 Apr 2016 14:32:30 +0100

debootstrap (1.0.59ubuntu0.4) trusty; urgency=medium

  * Add (Ubuntu) xenial as a symlink to gutsy. (LP: #1510173)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 26 Oct 2015 11:43:38 -0500

debootstrap (1.0.59ubuntu0.3) trusty; urgency=medium

  * Add (Ubuntu) wily as a symlink to gutsy. (LP: #1452877)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 May 2015 14:59:59 -0500

debootstrap (1.0.59ubuntu0.2) trusty; urgency=medium

  * Add (Ubuntu) vivid as a symlink to gutsy. (LP: #1384925)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Oct 2014 14:50:52 -0600

debootstrap (1.0.59ubuntu0.1) trusty; urgency=medium

  * Add (Ubuntu) utopic as a symlink to gutsy. (LP: #1312393)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Apr 2014 13:50:58 -0600

## debootstrap 1.0.59ubuntu0.12

=== debian/changelog ===
debootstrap (1.0.59ubuntu0.12) trusty; urgency=medium

  * For (Ubuntu) releases disco+ default to MERGED_USR=yes, -k extract
    option.  (LP: #1773496)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Nov 2018 17:27:46 +0000

debootstrap (1.0.59ubuntu0.11) trusty; urgency=medium

  * Add (Ubuntu) disco as a symlink to gutsy.  (LP: #1800945)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Oct 2018 17:00:27 -0700

debootstrap (1.0.59ubuntu0.10) trusty; urgency=medium

  * Add (Ubuntu) cosmic as a symlink to gutsy.  (LP: #1773496)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 May 2018 23:59:59 -0700

debootstrap (1.0.59ubuntu0.9) trusty; urgency=medium

  * Add (Ubuntu) bionic as a symlink to gutsy.  (LP: #1727732)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 26 Oct 2017 14:38:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
   KEYRING := ubuntu-keyring
-else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
-  KEYRING := tanglu-archive-keyring
 else
   KEYRING := debian-archive-keyring
 endif
@@ -16,10 +14,10 @@
 
 override_dh_auto_install:
 	dh_auto_build
-
+	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
-
+	
 	# remove scripts not needed by d-i
 	-rm -f debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
@@ -32,7 +30,6 @@
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot \
-		debian/debootstrap-udeb/usr/share/debootstrap/scripts/staging \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/stable \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/testing \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/unstable

## debootstrap 1.0.59ubuntu0.12+esm2

=== debian/changelog ===
debootstrap (1.0.59ubuntu0.12+esm2) trusty-security; urgency=medium

  * Add (Ubuntu) lunar as a symlink to gutsy (LP: #1995612).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 08 Nov 2022 11:05:49 -0300

debootstrap (1.0.59ubuntu0.12+esm1) trusty-security; urgency=medium

  * Add (Ubuntu) jammy as a symlink to gutsy (LP: #1947362).
  * Add (Ubuntu) impish as a symlink to gutsy (LP: #1925753).
  * Add (Ubuntu) hirsute as a symlink to gutsy (LP: #1901237).
  * Add (Ubuntu) groovy as a symlink to gutsy.  (LP: #1874867)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 15 Oct 2021 14:56:13 -0300

## debootstrap 1.0.59+drbl1

=== debian/changelog ===
debootstrap (1.0.59+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding support for utopic.
  * Recompiled on Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 May 2014 22:58:11 +0800

## debootstrap 1.0.60~bpo70+1

=== debian/changelog ===
debootstrap (1.0.60~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 06 May 2014 12:25:06 +0200

debootstrap (1.0.60) unstable; urgency=medium

  [ Adam Conrad ]
  * Add (Ubuntu) utopic as a symlink to gutsy.

  [ Guillem Jover ]
  * Sync deb support with latest dpkg-deb (closes: #739136):
    - Add uncompressed data.tar deb member support.
    - Add uncompressed and xz control.tar deb member support.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 May 2014 09:37:34 +0100

## debootstrap 1.0.60+drbl1

=== debian/changelog ===
debootstrap (1.0.60+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Packaged on Debian Wheeze.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 May 2014 12:52:37 +0800

## debootstrap 1.0.64~bpo70+1

=== debian/changelog ===
debootstrap (1.0.64~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Nov 2014 13:51:06 +0100

debootstrap (1.0.64) unstable; urgency=medium

  * Add (Ubuntu) vivid as a symlink to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Oct 2014 16:48:49 +0100

debootstrap (1.0.63) unstable; urgency=medium

  [ Joey Hess ]
  * Move set -e out of shebang line. Closes: #762713

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Sep 2014 06:44:16 +0200

debootstrap (1.0.62) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix reporting of package version in retrieval and validation steps
    to cope with epochs.

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Sep 2014 11:40:54 +0200

debootstrap (1.0.61) unstable; urgency=medium

  * Fix "possibly the package $pkg is at fault" warnings to account for
    changed error output in dpkg 1.17.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2014 22:07:49 +0100

## debootstrap 1.0.64ubuntu0.1

=== debian/changelog ===
debootstrap (1.0.64ubuntu0.1) utopic; urgency=medium

  * Add (Ubuntu) wily as a symlink to gutsy. (LP: #1452877)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 May 2015 14:56:32 -0500

## debootstrap 1.0.64+drbl1

=== debian/changelog ===
debootstrap (1.0.64+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Compiled on Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Nov 2014 08:54:05 +0800

## debootstrap 1.0.66

=== debian/changelog ===
debootstrap (1.0.66) unstable; urgency=low

  [ Cyril Brulebois ]
  * Specify gzip compression in debian/source/options to allow for better
    portability on other platforms (Closes: #770214). Thanks, Joey Hess!
  * Specify gzip compression for debootstrap, and xz for debootstrap-udeb,
    to mitigate the need for xz on non-Debian platforms (see: #770217).

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Nov 2014 09:15:50 +0100

debootstrap (1.0.65) unstable; urgency=medium

  [ Julien Cristau ]
  * Add support for stretch.

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Nov 2014 09:24:56 +0100

## debootstrap 1.0.66tanglu1

=== debian/changelog ===
debootstrap (1.0.66tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Exit with friendly error message when failing to create device nodes.
    - Recommend tanglu-archive-keyring on Tanglu systems.
    - Add Tanglu scripts.

 -- Matthias Klumpp <mak@debian.org>  Mon, 01 Dec 2014 17:46:28 +0100

debootstrap (1.0.60tanglu1) staging; urgency=medium

  * Merge with debian. Remaining changes:
    - Exit with friendly error message when failing to create device nodes.
    - Recommend tanglu-archive-keyring on Tanglu systems.
    - Add Tanglu aequorea/bartholomea script based on the Debian sid script.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 09 Jun 2014 07:39:41 +1000

debootstrap (1.0.59tanglu1) staging; urgency=medium

  * Merge with debian. Remaining changes:
    - Exit with friendly error message when failing to create device nodes.
    - Recommend tanglu-archive-keyring on Tanglu systems.
    - Add Tanglu aequorea/bartholomea script based on the Debian sid script.

 -- Jon Severinsson <jon@severinsson.net>  Sat, 22 Feb 2014 16:00:00 +0100

## debootstrap 1.0.66tanglu1.1

=== debian/changelog ===
debootstrap (1.0.66tanglu1.1) bartholomea-updates; urgency=medium

  * Add dasyatis 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 09 Aug 2015 14:57:58 +0200

## debootstrap 1.0.66+drbl1

=== debian/changelog ===
debootstrap (1.0.66+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled on Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Dec 2014 14:28:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git

## debootstrap 1.0.67

=== debian/changelog ===
debootstrap (1.0.67) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Apply patch by Jérémy Bobbio to support reproducible builds: specify
    a modification time on the tar side, and add the -n option to gzip
    (Closes: #774069). Thanks, Jérémy!
  * Update setup_apt_sources to look at USE_COMPONENTS if COMPONENTS is
    empty, fixing the empty sources.list bug with foreign architectures
    (Closes: #732255, #773867).

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 Jan 2015 07:03:17 +0100

## debootstrap 1.0.67tanglu1.1

=== debian/changelog ===
debootstrap (1.0.67tanglu1.1) chromodoris-updates; urgency=medium

  * Add dasyatis 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 09 Aug 2015 14:55:12 +0200

debootstrap (1.0.67tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Exit with friendly error message when failing to create device nodes.
    - Recommend tanglu-archive-keyring on Tanglu systems.
    - Add Tanglu scripts.

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 24 Feb 2015 07:40:14 +1100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
   KEYRING := ubuntu-keyring
+else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
+  KEYRING := tanglu-archive-keyring
 else
   KEYRING := debian-archive-keyring
 endif
@@ -14,10 +16,10 @@
 
 override_dh_auto_install:
 	dh_auto_build
-	
+
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
-	
+
 	# remove scripts not needed by d-i
 	-rm -f debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
@@ -30,9 +32,15 @@
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot \
+		debian/debootstrap-udeb/usr/share/debootstrap/scripts/staging \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/stable \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/testing \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/unstable
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vkeyring=$(KEYRING)
+
+# Specify gzip to mitigate #770217:
+override_dh_builddeb:
+	dh_builddeb -pdebootstrap      -- -Zgzip
+	dh_builddeb -pdebootstrap-udeb -- -Zxz

## debootstrap 1.0.67ubuntu0.2

=== debian/changelog ===
debootstrap (1.0.67ubuntu0.2) vivid; urgency=medium

  * Add (Ubuntu) xenial as a symlink to gutsy. (LP: #1510173) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 26 Oct 2015 11:46:19 -0500

debootstrap (1.0.67ubuntu0.1) vivid; urgency=medium

  * Add (Ubuntu) wily as a symlink to gutsy. (LP: #1452877) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 May 2015 14:51:37 -0500

## debootstrap 1.0.67+deb8u1

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)
DATE := $(shell sed -n '/^ -- /{s/.*> \(.*\)/\1/p;q}' debian/changelog)

MAKEDEV := /sbin/MAKEDEV

ifeq ($(shell uname),Linux)
all: devices.tar.gz
else
all:
endif

clean:
	rm -f devices.tar.gz
	rm -rf dev

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -a scripts/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chown root:root $(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

ifeq ($(shell uname),Linux)
	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
endif

devices.tar.gz:
	rm -rf dev
	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev
	(cd dev && $(MAKEDEV) std ptmx fd consoleonly)
	tar --mtime="$(DATE)" -cf - dev | gzip -9n >devices.tar.gz
	@if [ "$$(tar tvf devices.tar.gz | wc -l)" -lt 2 ]; then \
		echo " ** devices.tar.gz is empty!" >&2; \
		exit 1; \
	fi
	rm -rf dev

=== debian/changelog ===
debootstrap (1.0.67+deb8u1) jessie; urgency=medium

  * Add support for buster and bullseye.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jun 2017 13:48:43 +0200

## debootstrap 1.0.70

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)
 DATE := $(shell sed -n '/^ -- /{s/.*> \(.*\)/\1/p;q}' debian/changelog)
 
-MAKEDEV := /sbin/MAKEDEV
+MAKEDEV ?= /sbin/MAKEDEV
 
 ifeq ($(shell uname),Linux)
 all: devices.tar.gz

=== debian/changelog ===
debootstrap (1.0.70) unstable; urgency=medium

  * Use tr instead of (missing in d-i) xargs (Closes: #785693). Thanks,
    Julian Schauder!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 19 May 2015 11:38:27 +0200

debootstrap (1.0.69) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Make sure to deduplicate package list in download_release to avoid
    issues while counting downloaded packages. The failure path could lead
    to printing some strange integer (Closes: #709751, #768445, #785276,
    #774752).
    This was reported to mostly happen whenever --no-resolve-deps is used.
  * Add support for --force-check-gpg so that one can programmatically
    make sure keyring checks are used and that no fallback to an https
    mirror happens (Closes: #661501, #733179, #775454).
  * Switch default mirror from ftp.us.debian.org to the new, official
    http redirector service: httpredir.debian.org
  * Make it possible to override the MAKEDEV variable (Closes: #734743).
    Thanks, Wookey!

  [ Christian Perrier ]
  * Update Standards to 3.9.6 (checked)

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 May 2015 14:07:43 +0200

debootstrap (1.0.68) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Support the jessie-kfreebsd suite, by using the same script as
    jessie (a symlink to sid) (Closes: #784927).

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 May 2015 07:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git
 Vcs-Git: git://anonscm.debian.org/d-i/debootstrap.git

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
   KEYRING := ubuntu-keyring
-else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
-  KEYRING := tanglu-archive-keyring
 else
   KEYRING := debian-archive-keyring
 endif
@@ -16,10 +14,10 @@
 
 override_dh_auto_install:
 	dh_auto_build
-
+	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
-
+	
 	# remove scripts not needed by d-i
 	-rm -f debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
@@ -32,7 +30,6 @@
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot \
-		debian/debootstrap-udeb/usr/share/debootstrap/scripts/staging \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/stable \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/testing \
 		debian/debootstrap-udeb/usr/share/debootstrap/scripts/unstable

## debootstrap 1.0.70+drbl1

=== debian/changelog ===
debootstrap (1.0.70+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Add wily support.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 May 2015 19:49:36 +0800

## debootstrap 1.0.72

=== debian/changelog ===
debootstrap (1.0.72) unstable; urgency=medium

  [ Iain Lane ]
  * Add (Ubuntu) wily as a symlink to gutsy (closes: #787117).

  [ Colin Watson ]
  * Fix resolve_deps and setup_available to work in the --foreign case
    (closes: #757819, LP: #1450980).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jul 2015 14:32:19 +0100

debootstrap (1.0.71) unstable; urgency=medium

  * Adjust sed call to render it more portable (missing ';'), making it
    work with FreeBSD sed. Thanks to Nikolai Lifanov for the report and
    the patch (Closes: #791802).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Jul 2015 01:29:52 +0200

## debootstrap 1.0.72ubuntu1

=== debian/changelog ===
debootstrap (1.0.72ubuntu1) wily; urgency=medium

  * Add provisional symlink for Ubuntu 16.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Oct 2015 13:00:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.6

## debootstrap 1.0.72ubuntu1.1

=== debian/changelog ===
debootstrap (1.0.72ubuntu1.1) wily; urgency=medium

  * Add (Ubuntu) yakkety as a symlink to gutsy.  (LP: #1573596)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 22 Apr 2016 14:28:45 +0100

## debootstrap 1.0.73~bpo8+1

=== debian/changelog ===
debootstrap (1.0.73~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 03 Nov 2015 00:32:09 +0100

debootstrap (1.0.73) unstable; urgency=medium

  * Generate a deburis file with (package, version, uri) tuples, similar
    to the existing debpaths.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 22 Oct 2015 12:43:35 +0200

## debootstrap 1.0.75

=== debian/changelog ===
debootstrap (1.0.75) unstable; urgency=medium

  * Stop cleaning KEEP_DEBOOTSTRAP_DIR twice, as spotted by Chris Lamb
    (Closes: #804415).
  * Add Tanglu support (Closes: #771687), thanks to Matthias Klumpp. At
    the moment, the following extra suites are recognized:
     - aequorea
     - bartholomea
     - chromodoris
     - dasyatis

 -- Cyril Brulebois <kibi@debian.org>  Wed, 11 Nov 2015 18:49:28 +0100

debootstrap (1.0.74) unstable; urgency=medium

  [ Colin Watson ]
  * Add (Ubuntu) xenial as a symlink to gutsy.

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 Nov 2015 07:09:23 +0100

## debootstrap 1.0.75+drbl1

=== debian/changelog ===
debootstrap (1.0.75+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild on Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Dec 2015 22:23:49 +0800

## debootstrap 1.0.78%2bnmu1ubuntu1.2

=== debian/changelog ===
debootstrap (1.0.78+nmu1ubuntu1.2) xenial; urgency=medium

  * Add (Ubuntu) zesty as a symlink to gutsy. (LP: #1636583)

 -- Joshua Powers <josh.powers@canonical.com>  Tue, 25 Oct 2016 13:37:00 -0600

debootstrap (1.0.78+nmu1ubuntu1.1) xenial; urgency=medium

  * Add (Ubuntu) yakkety as a symlink to gutsy.  (LP: #1573596)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 22 Apr 2016 14:17:46 +0100

debootstrap (1.0.78+nmu1ubuntu1) xenial; urgency=medium

  * Reinstate InRelease file support to better deal with proxies where Release
    files may be cached and thus out of sync. InRelease is atomic and therefore
    not subject to failing validation because of proxy servers. (LP: #1485511)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 11 Mar 2016 13:03:43 -0500

debootstrap (1.0.78+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Split setup_devices in setup_devices (which now only deals with static
    device nodes) and setup_dynamic_devices, and move the calls to
    setup_devices from the beginning of the second stage to the end of the
    first stage.
    setup_dynamic_devices mounts the appropriate filesystems which provide
    dynamic device nodes for the architectures which need one in
    debootstrap (kfreebsd and hurd).
    This fixes a bug in --second-stage introduced in 1.0.34 and exposed
    by the devices-related changes of 1.0.76: the second stage debootstrap
    runs "dpkg --print-architecture >/dev/null" at the very beginning of
    the program when /dev is still empty, so it creates an empty regular
    file in place of /dev/null and this will cause mknod to fail later.
    (Closes: #813232)

 -- Marco d'Itri <md@linux.it>  Wed, 17 Feb 2016 01:23:23 +0100

debootstrap (1.0.78) unstable; urgency=high

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Don't call mknod with the --mode option, it's not supported in
    busybox. Use -m instead - fixes the broken fix for #812811.
    Closes: #813124. Urgency high to get this fix propagated quickly -
    it's breaking d-i installs right now. Adding myself to uploaders and
    uploading.

 -- Steve McIntyre <93sam@debian.org>  Fri, 29 Jan 2016 16:36:00 +0000

debootstrap (1.0.77) unstable; urgency=medium

  [ Marco d'Itri ]
  * Fix permissions on device nodes (Closes: #812811).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 27 Jan 2016 20:22:05 +0100

debootstrap (1.0.76) unstable; urgency=medium

  [ Marco d'Itri ]
  * Stop creating useless device nodes (Closes: #571136).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 24 Jan 2016 08:55:18 +0100

## debootstrap 1.0.78%2bnmu1ubuntu1.5

=== debian/changelog ===
debootstrap (1.0.78+nmu1ubuntu1.5) xenial; urgency=medium

  * Add (Ubuntu) bionic as a symlink to gutsy.  (LP: #1727732)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 26 Oct 2017 14:36:48 +0100

debootstrap (1.0.78+nmu1ubuntu1.4) xenial; urgency=medium

  * Add (Debian) buster and bullseye as a symlink to sid.  LP: #1698686

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 19 Jun 2017 19:54:11 +0200

debootstrap (1.0.78+nmu1ubuntu1.3) xenial; urgency=medium

  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 21 Apr 2017 14:54:09 +0100

## debootstrap 1.0.78+nmu1ubuntu1.10

=== debian/changelog ===
debootstrap (1.0.78+nmu1ubuntu1.10) xenial; urgency=medium

  * Add (Ubuntu) focal as a symlink to gutsy.  (LP: #1848716)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Oct 2019 14:17:06 +0100

debootstrap (1.0.78+nmu1ubuntu1.9) xenial; urgency=low

  * Add (Ubuntu) eoan as a symlink to gutsy.  (LP: #1825994)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 23 Apr 2019 15:00:02 +0100

debootstrap (1.0.78+nmu1ubuntu1.8) xenial; urgency=medium

  * For (Ubuntu) releases disco+ default to MERGED_USR=yes, -k extract
    option.  (LP: #1773496)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Nov 2018 14:05:13 +0000

debootstrap (1.0.78+nmu1ubuntu1.7) xenial; urgency=medium

  * Add (Ubuntu) disco as a symlink to gutsy.  (LP: #1800945)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Oct 2018 16:55:52 -0700

debootstrap (1.0.78+nmu1ubuntu1.6) xenial; urgency=medium

  * Add (Ubuntu) cosmic as a symlink to gutsy.  (LP: #1773496)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 May 2018 23:56:14 -0700

## debootstrap 1.0.78+nmu1ubuntu1.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # avoid dpkg-dev dependency; fish out the version with sed
 VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)
-DATE := $(shell sed -n '/^ -- /{s/.*> \(.*\)/\1/p;q}' debian/changelog)
+DATE := $(shell sed -n '/^ -- /{s/.*> \(.*\)/\1/p;q;}' debian/changelog)
 
 MAKEDEV ?= /sbin/MAKEDEV

=== debian/changelog ===
debootstrap (1.0.78+nmu1ubuntu1.13) xenial; urgency=medium

  * Add (Ubuntu) impish as a symlink to gutsy (LP: #1925753). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Apr 2021 09:41:58 +0200

debootstrap (1.0.78+nmu1ubuntu1.12) xenial; urgency=medium

  * Add (Ubuntu) hirsute as a symlink to gutsy (LP: #1901237).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Oct 2020 20:04:46 +0200

debootstrap (1.0.78+nmu1ubuntu1.11) xenial; urgency=medium

  * Add (Ubuntu) groovy as a symlink to gutsy.  (LP: #1874867)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 24 Apr 2020 19:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
+Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git
-Vcs-Git: git://anonscm.debian.org/d-i/debootstrap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/debootstrap.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/debootstrap.git
 
 Package: debootstrap
 Architecture: all

## debootstrap 1.0.78+nmu1ubuntu1.13+esm2

=== debian/changelog ===
debootstrap (1.0.78+nmu1ubuntu1.13+esm2) xenial-security; urgency=medium

  * Add (Ubuntu) lunar as a symlink to gutsy (LP: #1995612).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 08 Nov 2022 11:06:27 -0300

debootstrap (1.0.78+nmu1ubuntu1.13+esm1) xenial-security; urgency=medium

  * Add (Ubuntu) jammy as a symlink to gutsy (LP: #1947362).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 15 Oct 2021 15:17:33 -0300

## debootstrap 1.0.79

=== debian/changelog ===
debootstrap (1.0.79) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd: move setting up dev and servers firmlink to setup_proc stage. Also
    firmlink proc there.  Thanks Gabriele Giacone for all the investigation!
    (Closes: #768102)

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Feb 2016 07:23:59 +0100

## debootstrap 1.0.80

=== debian/changelog ===
debootstrap (1.0.80) unstable; urgency=medium

  [ Jon Boden ]
  * scripts/gutsy: Support kfreebsd & hurd arches on Ubuntu targets
    (closes: #818748)

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Mar 2016 19:27:45 +0100

## debootstrap 1.0.81~bpo8+1

=== debian/changelog ===
debootstrap (1.0.81~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 22 May 2016 02:34:39 +0200

debootstrap (1.0.81) unstable; urgency=medium

  [ Luca Falavigna ]
  * Add (Ubuntu) yakkety as a symlink to gutsy.

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 May 2016 06:51:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.6

## debootstrap 1.0.81ubuntu2

=== debian/changelog ===
debootstrap (1.0.81ubuntu2) yakkety; urgency=medium

  * Fix debootstrap --variant=fakechroot failure because initscripts is no
    longer part of the base system.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Oct 2016 00:25:49 +0000

debootstrap (1.0.81ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable (LP: #1591675).  Remaining changes:
    - Reinstate InRelease file support to better deal with proxies where Release
      files may be cached and thus out of sync. InRelease is atomic and therefore
      not subject to failing validation because of proxy servers. (LP: #1485511)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 12 Jun 2016 12:59:12 +0200

debootstrap (1.0.78+nmu1ubuntu2) yakkety; urgency=medium

  * Add (Ubuntu) yakkety as a symlink to gutsy.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Apr 2016 05:42:34 -0600

## debootstrap 1.0.81ubuntu2.1

=== debian/changelog ===
debootstrap (1.0.81ubuntu2.1) yakkety; urgency=medium

  * Add (Ubuntu) zesty as a symlink to gutsy. (LP: #1636583)

 -- Joshua Powers <josh.powers@canonical.com>  Tue, 25 Oct 2016 15:59:15 -0600

## debootstrap 1.0.81ubuntu2.3

=== debian/changelog ===
debootstrap (1.0.81ubuntu2.3) yakkety; urgency=medium

  * Add (Debian) buster and bullseye as a symlink to sid.  LP: #1698686

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 19 Jun 2017 19:53:12 +0200

debootstrap (1.0.81ubuntu2.2) yakkety; urgency=medium

  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 21 Apr 2017 14:52:24 +0100

## debootstrap 1.0.81ubuntu3

=== debian/changelog ===
debootstrap (1.0.81ubuntu3) zesty; urgency=medium

  * Add (Ubuntu) zesty as a symlink to gutsy.

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 18 Oct 2016 20:16:36 -0500

## debootstrap 1.0.81ubuntu3.3

=== debian/changelog ===
debootstrap (1.0.81ubuntu3.3) zesty; urgency=medium

  * Add (Ubuntu) bionic as a symlink to gutsy.  (LP: #1727732)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 26 Oct 2017 14:34:51 +0100

debootstrap (1.0.81ubuntu3.2) zesty; urgency=medium

  * Add (Debian) buster and bullseye as a symlink to sid.  LP: #1698686

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 19 Jun 2017 19:51:22 +0200

debootstrap (1.0.81ubuntu3.1) zesty; urgency=medium

  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 21 Apr 2017 14:48:20 +0100

## debootstrap 1.0.85

=== debian/changelog ===
debootstrap (1.0.85) unstable; urgency=medium

  [ Julien Cristau ]
  * Add support for downloading and validating InRelease files, by splitting
    up detached signature from signed data.
  * Switch default mirror to deb.debian.org.

  [ Colin Watson ]
  * Add (Ubuntu) zesty as a symlink to gutsy.

  [ Ansgar Burchardt ]
  * Add jessie-kfreebsd to merged-/usr blacklist.
  * No longer Build-Depend on makedev. The code using it was already
    removed in debootstrap 1.0.82.
  * Do not use `tar -k` for older releases which might have file
    conflicts between the packages to be installed. (Closes: #838388)
  * Error out when seeing short options. (Closes: #548880)
  * Add oldoldstable -> sid script symlink. (Closes: #792734)
  * Add buster -> sid and bullseye -> sid script symlinks.
  * Only unpack and configure the base system when there are actually
    packages to install. (Closes: #825034)
  * debootstrap.8: Use stretch instead of wheezy in examples.

  [ Marco d'Itri ]
  * Enable merged-/usr by default. (Closes: #839046)

 -- Julien Cristau <jcristau@debian.org>  Fri, 21 Oct 2016 20:22:49 +0200

debootstrap (1.0.84) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * Add support for xz-compressed Packages indices. (Closes: #837649)

 -- Christian Perrier <bubulle@debian.org>  Thu, 06 Oct 2016 06:59:38 +0200

debootstrap (1.0.83) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * functions: Validate that the requested suite is listed in the
    Release file's Suite or Codename field. (Closes: #837075)
  * Add support for merged-/usr, enabled by a new --merged-usr option.
    (Closes: #810301)
  * Feign install of dpkg in second stage. This avoids problems when
    using dpkg-deb together with busybox' tar. (Closes: #837185)
  * README: Use https://.

  [ Steve McIntyre ]
  * Update Standards-Version to 3.9.8 (no changes needed)

 -- Steve McIntyre <93sam@debian.org>  Tue, 13 Sep 2016 13:16:41 +0100

debootstrap (1.0.82) unstable; urgency=medium

  [ Alex Bennée ]
  * Excise all devices.tar.gz code. Closes: #830869

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 Sep 2016 07:09:56 +0200

## debootstrap 1.0.89~bpo8+1

=== debian/changelog ===
debootstrap (1.0.89~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jun 2017 10:47:38 +0200

debootstrap (1.0.89) unstable; urgency=medium

  [ Simon McVittie ]
  * Instead of creating a /dev/ptmx → pts/ptmx symlink unconditionally,
    try mknod with “c 5 2” parameters first, and fall back to a symlink
    only if it fails. This should help with various tools like pbuilder,
    sbuild, and schroot (Closes: #817236).
  * Add autopkgtest support to test various scenarios.

  [ Cyril Brulebois ]
  * Uniformize COMPONENTS/USE_COMPONENTS handling.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Mar 2017 13:10:56 +0100

debootstrap (1.0.88) unstable; urgency=high

  [ Sven Joachim ]
  * Strip the arch-qualifier (Closes: #836525)

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Feb 2017 23:53:10 +0000

debootstrap (1.0.87) unstable; urgency=high

  [ Julien Cristau ]
  * Default to split /usr again, as merged-/usr breaks dpkg-shlibdeps
    (closes: #844221).

  [ Riku Voipio ]
  * remove scratchbox2 support (closes: #796189)

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Nov 2016 06:47:27 +0100

debootstrap (1.0.86~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 04 Nov 2016 09:45:04 +0100

debootstrap (1.0.86) unstable; urgency=high

  * Rework split_inline_sig by using shell built-ins instead of trying to
    mix sed and tr together, which might work on regular systems but not
    from inside the Debian Installer (Closes: #842591). Thanks to Ansgar
    Burchardt for the proof of concept!

 -- Cyril Brulebois <kibi@debian.org>  Sun, 30 Oct 2016 23:35:45 +0100

## debootstrap 1.0.89

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/d-i/debootstrap.git
 Vcs-Git: https://anonscm.debian.org/git/d-i/debootstrap.git

## debootstrap 1.0.89+devuan2.1

=== debian/changelog ===
debootstrap (1.0.89+devuan2.1) unstable; urgency=medium

  * fix version to 1.0.89+devuan2.1

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 18 Mar 2019 16:25:14 +0000

debootstrap (1.0.89-devuan2.1) unstable; urgency=medium

  * add recipes for ascii, beowulf, ceres, and relink jessie
  * append devuan-specific packages to $base; change mirrors to devuan
  * remove debian/tests
  * devuanize debian/control
  * add devuan-specific gbp.conf; switch format to 3.0 (quilt)
  * teach debian/rules about Devuan

 -- Ivan J. <parazyd@dyne.org>  Tue, 07 Nov 2017 16:10:30 +0100

=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Ivan J. <parazyd@dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Jaromil <jaromil@dyne.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Browser: https://git.devuan.org/devuan-packages/debootstrap
Vcs-Git: https://git.devuan.org/devuan-packages/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}
Description: Bootstrap a basic Devuan system
 debootstrap is used to create a Devuan base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Devuan system

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
   KEYRING := ubuntu-keyring
+else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
+  KEYRING := tanglu-archive-keyring
+else ifeq (0,$(shell dpkg-vendor --derives-from Devuan; echo $$?))
+  KEYRING := devuan-keyring
 else
   KEYRING := debian-archive-keyring
 endif

## debootstrap 1.0.90~bpo9+1

=== debian/changelog ===
debootstrap (1.0.90~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 13 Jul 2017 20:10:09 +0200

debootstrap (1.0.90) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Apr 2017 06:49:33 +0200

## debootstrap 1.0.91ubuntu1

=== debian/changelog ===
debootstrap (1.0.91ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix debootstrap --variant=fakechroot failure because initscripts is no
      longer part of the base system.
    - sync scripts/sid with scripts/gutsy

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2017 10:55:17 +0200

debootstrap (1.0.91) unstable; urgency=medium

  [ Sven Joachim ]
  * Avoid the 'type' shell command (closes: #860545).

 -- Christian Perrier <bubulle@debian.org>  Wed, 26 Jul 2017 06:53:10 +0200

debootstrap (1.0.90ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix debootstrap --variant=fakechroot failure because initscripts is no
      longer part of the base system.
    - Add (Ubuntu) artful as a symlink to gutsy.
    - sync scripts/sid with scripts/gutsy
  * Drop changes merged in Debian
    - Reinstate InRelease file support to better deal with proxies where Release
      files may be cached and thus out of sync. InRelease is atomic and therefore
      not subject to failing validation because of proxy servers. (LP: #1485511)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Apr 2017 12:01:38 +0200

debootstrap (1.0.81ubuntu4) artful; urgency=medium

  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Apr 2017 19:15:09 -0600

## debootstrap 1.0.91ubuntu1.1

=== debian/changelog ===
debootstrap (1.0.91ubuntu1.1) artful; urgency=medium

  * Add (Ubuntu) bionic as a symlink to gutsy.  (LP: #1727732)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 26 Oct 2017 14:30:19 +0100

## debootstrap 1.0.91ubuntu1.2

=== debian/changelog ===
debootstrap (1.0.91ubuntu1.2) artful; urgency=medium

  * Add (Ubuntu) cosmic as a symlink to gutsy.  (LP: #1773496)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 May 2018 23:53:44 -0700
